Pesquisar este blog

sexta-feira, 25 de junho de 2010

VLC 1.1 NO UBUNTU 10.04


O vlc lançou uma nova versão que realmente esta muito boa pois com um grande esforço de limpeza e reescrita de código a nova versão deste excelente tocador de midia, que praticamente toca tudo é 40%(quarenta por cento) mais leve que a versão 1.0 além de um suporte infinitamente mais completo a formatos de arquivos, com o suporte ao recém-lançado (pelo Google) codec WebM, suporte a plugins escritos pelo usuário (para você poder implementar o suporte a obter automaticamente a sinopse e legenda em português dos seus filmes favoritos, por exemplo), suporte a sftp, melhorias em legendas de Blu-ray e codecs HD, aceleração via GPU e muito mais. O único problema é que se você já tem a versão anterior do vlc a instalação não vai ser tão simples como se você não a tenha no sistema vou começar pela instalação para que não tem o vlc já instalado no sistema que é bastante simples.

Se você não tem o vlc instalado, abra o terminal e digite
sudo add-apt-repository ppa:c-korn/vlc
clique em enter e espere a instalação depois digite:
sudo apt-get update

espere a atualização e depois digite:
sudo apt-get install vlc
Espere a instalação e pronto o vlc já vai esta instalado na versão mais nova com todas as novidades descritas acima.
Se você tem o vlc 1.0 instalado no seu sistema a coisa se complica um pouco mais, entretanto também não é coisa de outro mundo, a instalação basicamente é a mesma entretanto se modifica com uma dica no final, para evitar um erro de substituição de algumas libs do vlc que na versão mais moderna são substituídas integralmente, senão vejamos:
Se você tem o vlc instalado, abra o terminal e digite
sudo add-apt-repository ppa:c-korn/vlc
clique em enter e espere a instalação

depois digite:

sudo apt-get update

A partir daqui a instalação se modifica após a atualização dos repositórios no terminal abra o gerenciador de pacotes synaptic em sistema-administração-Gerenciador de pacotes synaptic, após o programa gerenciador de pacote esta aberto, clique em procurar e na janela que abrir digite vlc e depois procurar, após a pesquisa no resultado procure vlc e clique com o botão direito do mouse e depois em marcar para atualização, e na sequencia em aplicar logo na primeira barra do programa em cima, o restante da atualização é bem intuitiva é só confirmar que o gerenciador vai remover e instalar o que tiver de ser removido e instalado do zero, fazendo o serviço de você, se tentar atualizar após a implantação do repositório, pelo gerenciador de atualização os pacotes estarão desativados e acusando um erro é ai onde esta o pulo do gato faça a atualização pelo synaptic.

Atenção - foi lançada no repositório para atualização automática, a versão 1.1.0.2, faça a atualização normalmente se der um erro abra o synaptic usando o mesmo método acima e marque o pacote vlc para remoção completa após a remoção, marque o mesmo pacote para instalação e após a instalação, a atualização estará perfeita novamente.

Em 30 de julho de 2010 está disponivel a versão 1.1.2 no repositório para a versão amd64 pois para i386 segundo informações colhidas no próprio repositório ainda não esta disponivel, entretanto não faça a atualização ate que todos os quadros de arquivos de dependência estiverem marcados no gerenciador de atualizações, o que esta acontecendo por exemplo agora é que o arquivo vlc-data não esta disponível ainda na versão 1.1.2 e com isso não há como atualizar o arquivo libvlccore4 que fica com o quadrinho no gerenciador de atualizações desmarcado e caso você faça a atualização é grande a possibilidade do arquivo quebrar, o melhor a fazer por enquanto é desativar temporariamente o repositório é ficar tentando em determinados espaços de tempo recomendo três dias, se desativa o repositório assim, clique em sistema-administração-canais de software, na janela que abrir clique na aba outro software vai aparecer uma relação com vário quadrinhos marcados, procure pela linha que você tinha inserido antes para fazer a atualização para 1.1 que é http://ppa.launchpad.net/c-korn/vlc/ubuntu lucid main desmarque o quadro ao lado e clique em fechar e na janela que abrir clique em recarregar e pronto a atualização sumiu, três dias depois para verificar se já esta regularizado repita o processo desta vez marcando o mesmo quadrinho e atualização retornará, verifique se esta completa conforme descrito acima com nenhum quadro em branco no gerenciador de atualizações e conforme o caso faça ou não a referida atualização.

Seria melhor se o repositório disponibilizasse um conjunto de arquivos completos por vez seja para amd64 ou i386, não ficar disponibilizando parte dos arquivos amd64 para que os mais desavisados quebrem a instalação.

Decidi fazer a atualização parcial como sugerida pelo repositório do vlc 1.1.1 para 1.1.2, neste caso não quebra não, funciona muito bem e o pacote libvlccore4 fica aguardando a atualização do arquivo vlc-data no gerenciador de atualizações desativado aparece em letras apagadas em estagio de espera sem gerar nenhum problema de funcionamento ao VLC, entretanto esta situação pode inviabilizar algumas instalações do zero, pois se libvlccore4 que esta disponivel é o 1.1.2 que tem por dependencia vlc-data 1.1.2 que não esta logo se o libvlccore4 1.1.1 não estiver instalado junto com vlc-data 1.1.1 a instalação não funfa, portanto a opção acima dada pelo repositório so deixa neste instante funcional para atualizações de vlc 1.1.1 para vlc 1.1.2, eita repositório ppa instável este, mais é o mais utilizado porque já utilizei outros que estacionam em uma versão e pronto, são como diriam no interior são feito bananeira só tem uma safra.

Retificando o que foi dito acima a instalação funcionou muito bem para arquivos de audio, entretanto ao tentar tocar um video avi ocorreu algo estranho o video ficou encolhido, tive que desinstalar todo os arquivos do vlc, numa operação bem complexa pois tive que retirar os arquivos pelo synaptic com a opção de desinstalação dos arquivos de configuração e na minha pasta pessoal, deletar dentro da pasta .config a pasta vlc so ai adicionei outro repositorio ppa mais estável claro antes removendo ou desativando o repositório que já esta ativo para que não instale a mesma versão anterior, no caso usei o comand
o sudo add-apt-repository ppa::lucid-bleed/ppa este repositório tem um monte de atualizações complicadas fiz todas elas através do synaptic pois naquelas em que o gerenciador de atualizações deixa em branco é porque precisa de mudanças adicionais geralmente desinstalações que o gerenciador não pode fazer, merece destaque o novo ffmpeg mais se preferir instale apenas o vlc 1.1 e desative o repositório.

no dia 04 de agosto de 2010 o repositorio c-korn/vlc voltou a funcionar dentro da normalidade com todos os arquivos da versão 1.1.2 do vlc inclusive os arquivos faltantes vlc-data e sua dependências, viabilizando novamente a instalação sem defeitos do pacote.

ATENÇÃO: INSTALAÇÃO MUITO COMPLEXA DICA PARA USUÁRIO AVANÇADO SE ESTA COMEÇANDO AGORA, NÃO TENTE.

Um comentário:

Spok disse...

Cara eu instalei o vlc no suse 11.3 e tava rodando bem até que tentei abrir um .avi e fdw tudo... não tenho muita experiencia com linux mas ja reinstalei o pacote via yast2 e não funcionou ...